# Get Source Events

Source id is used when [creating an event](/loqate-harmony-api/address-exchange-beta/adx-console/create-actions-in-console.md). This provides you with a list of source id's.&#x20;

### Resource

```
GET    https://hosted.mastersoftgroup.com/harmony/rest/address/exchange/v1/sources
```

### Request

```
https://hosted.mastersoftgroup.com/harmony/rest/address/exchange/v1/sources
```

### Response

```json
{
    "status": "SUCCESS",
    "messages": [],
    "payload": [
        {
            "id": 1,
            "code": "Delivery",
            "externalCode": "Delivery",
            "description": "Delivery",
            "internalOnly": false,
            "descriptionOnly": false
        },
        {
            "id": 2,
            "code": "Inspection",
            "externalCode": "Inspection",
            "description": "Inspection",
            "internalOnly": false,
            "descriptionOnly": false
        },
        {
            "id": 3,
            "code": "Update Address",
            "externalCode": "Update Address",
            "description": "Update Address",
            "internalOnly": false,
            "descriptionOnly": true
        },
        {
            "id": 4,
            "code": "Correct Action",
            "externalCode": "Correct Action",
            "description": "Correct Action",
            "internalOnly": false,
            "descriptionOnly": true
        },
        {
            "id": 5,
            "code": "Other",
            "externalCode": "Other",
            "description": "Other",
            "internalOnly": false,
            "descriptionOnly": true
        },
        {
            "id": 6,
            "code": "Trusted Source",
            "externalCode": "Trusted Source",
            "description": "Verified address with trusted source",
            "internalOnly": true,
            "descriptionOnly": false
        },
        {
            "id": 7,
            "code": "Fraud Deliverable",
            "externalCode": "Fraud Deliverable",
            "description": "Address used in deliverable goods fraud",
            "internalOnly": false,
            "descriptionOnly": true
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/address-exchange-beta/adx-api-specification/get-source-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
